    /* Make the html body cover the entire (visual) viewport with no scroll bars. */
    html,
    body {
      padding: 0;
      margin: 0;
      overflow: hidden;
      height: 100%;
      background-color: #0e1217;
      color: #ffffff;
      font: 12pt Trebuchet MS;
      line-height: 150%;
    }

    #screen {
      width: 100%;
      height: 100%;
      display: none !important;
    }

    #qtstatus {
      font-style: italic;
    }

    #qtspinner {
      overflow: visible;
      position: absolute;
      width: 100%;
      text-align: center;
    }

    #webgpucanvas {
      position: absolute;
      left: 0;
      top: 0;
      z-index: 0;
    }

    #logwrapper {
      position: absolute;
      z-index: 1;
      left: 0;
      top: 70%;
      width: 100%;
      height: 30%;
      background-color: rgba(40, 40, 40, 0.9);
      font-size: 12px;
      border: rgba(1, 1, 1, 0.01) 1em solid;
      box-sizing: border-box;
      display: none;
    }

    #log {
      color: white;
      overflow: auto;
      overflow-y: scroll;
      width: 100%;
      height: 100%;
      font-family: 'Consolas', 'Courier New', Courier, monospace;
      line-height: 1.1em;
    }

    #logwrapper.noselect {
      user-select: none;
      -webkit-user-select: none;
      -moz-user-select: none;
      -ms-user-select: none;
    }

    #logbuttonwrapper {
      position: absolute;
      z-index: 2;
      right: 2em;
      bottom: 0;
      padding: 0.5em;
    }

    .button {
      padding: 0.5em 2em 0.5em 2em;
      margin: 0.5em;
      background-color: rgba(40, 40, 40, 0.7);
      cursor: pointer;
      color: white;
      text-align: center;
      border: 1px solid rgba(255, 255, 255, 0.3);
      border-radius: 0.5em;
    }

    .button:hover {
      background-color: rgba(15, 55, 78, 0.9);
    }